# Re-Class ts-Boxable Object

Source: `R/to_from_all.R`
`copy_class.Rd`

Copies class attributes from an existing ts-boxable series. Mainly used internally.

    copy_class(
      x,
      template,
      preserve.mode = TRUE,
      preserve.names = FALSE,
      preserve.time = FALSE
    )

## Arguments

x | ts-boxable time series, an object of class `ts`, `xts`, `zoo`, `data.frame`, `data.table`, `tbl`, `tbl_ts`, `tbl_time`, `tis`, `irts` or `timeSeries`.
template | ts-boxable time series, an object of class `ts`, `xts`, `zoo`, `data.frame`, `data.table`, `tbl`, `tbl_ts`, `tbl_time`, `tis`, `irts` or `timeSeries`.
preserve.mode | should the mode the time column be preserved (data frame only)
preserve.names | should the name of the time column be preserved (data frame only)
preserve.time | should the values time column be preserved (data frame only)

## Details

Inspired by `xts::reclass`, which does something similar.